var halaman_sekarang = 0;
var jumlah_halaman = 0;
var halaman_sebelumnya = document.getElementById("halaman_sebelumnya");
var halaman_selanjutnya = document.getElementById("halaman_selanjutnya");
var list_provider = document.getElementById("list_provider");
var list_rtp = document.getElementById("list_rtp");
var provider_terpilih = "Pragmatic_Play";

var con_a = document.getElementById("con_a");
var con_b = document.getElementById("con_b");

var keyword = document.getElementById("keyword");

halaman_sebelumnya.addEventListener("click", function() {
    halaman(-1);
});

halaman_selanjutnya.addEventListener("click", function() {
    halaman(+1);
});

keyword.addEventListener("keyup", function() {
    cari_rtp(keyword.value, provider_terpilih);
});

function cp(Halaman) {
    jumlah_halaman = Halaman;
}

function halaman(x) {
    
    halaman_sekarang += x;

    if (halaman_sekarang > (jumlah_halaman - 1)) {halaman_sekarang = (jumlah_halaman - 1)}
    if (halaman_sekarang < 0) {halaman_sekarang = 0}

    var xhr = new XMLHttpRequest();

    // cek kesiapan ajax
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            list_provider.innerHTML = xhr.responseText;
            
        }
    }

    // eksekusi ajax
    xhr.open("GET", "ajax/list_provider.php?Id=" + provider_terpilih + "&Halaman=" + halaman_sekarang, true);
    xhr.send();
}

// Pilih Provider

function pp(provider) {

    keyword.value = "";

    judul_provider(provider);
    provider_pilih(provider);

    var xhr = new XMLHttpRequest();

    // cek kesiapan ajax
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            con_b.innerHTML = xhr.responseText;
            
        }
    }

    // eksekusi ajax
    xhr.open("GET", "ajax/list_rtp.php?Id=" + provider, true);
    xhr.send();
}

function judul_provider(provider) {
    var xhr = new XMLHttpRequest();

    // cek kesiapan ajax
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            con_a.innerHTML = xhr.responseText;
            
        }
    }

    // eksekusi ajax
    xhr.open("GET", "ajax/provider.php?Id=" + provider, true);
    xhr.send();
}

function provider_pilih(provider) {

    provider_terpilih = provider;

    var xhr = new XMLHttpRequest();

    // cek kesiapan ajax
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            list_provider.innerHTML = xhr.responseText;
        }
    }

    // eksekusi ajax
    xhr.open("GET", "ajax/list_provider.php?Id=" + provider_terpilih + "&Halaman=" + halaman_sekarang, true);
    xhr.send();
}

function cari_rtp(keyword, provider_terpilih) {

    var xhr = new XMLHttpRequest();

    // cek kesiapan ajax
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            con_b.innerHTML = xhr.responseText;
        }
    }

    // eksekusi ajax
    xhr.open("GET", "ajax/cari_permainan.php?Id=" + provider_terpilih + "&Keyword=" + keyword, true);
    xhr.send();

}